Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 699048 (CVE-2019-18420, CVE-2019-18421, CVE-2019-18423, CVE-2019-18424, CVE-2019-18425)

Summary: <app-emulation/xen-{4.11.2-r1}: multiple vulnerabilities
Product: Gentoo Security Reporter: Tomáš Mózes <hydrapolic>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: proxy-maint, xen
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/13510
https://github.com/gentoo/gentoo/pull/13543
Whiteboard: B3 [glsa+ cve]
Package list:
app-emulation/xen-4.11.2-r1 amd64 app-emulation/xen-tools-4.11.2-r1 amd64 x86
Runtime testing required: ---

Description Tomáš Mózes 2019-10-31 19:33:58 UTC
Today, patches got publicly available for:
XSA-296
XSA-298
XSA-299
XSA-301
XSA-302
XSA-303
Comment 1 Larry the Git Cow gentoo-dev 2019-10-31 21:48:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb82bc2cc4b181820e46373bee86059d43cb264c

commit cb82bc2cc4b181820e46373bee86059d43cb264c
Author:     Tomas Mozes <hydrapolic@gmail.com>
AuthorDate: 2019-10-31 19:37:51 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-10-31 21:48:12 +0000

    app-emulation/xen-tools: bump to 4.11.2-r1
    
    Bug: https://bugs.gentoo.org/699048
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 app-emulation/xen-tools/Manifest                   |   1 +
 app-emulation/xen-tools/xen-tools-4.11.2-r1.ebuild | 460 +++++++++++++++++++++
 2 files changed, 461 insertions(+)
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-11-01 23:51:29 UTC
x86 stable
Comment 3 Agostino Sarubbo gentoo-dev 2019-11-02 08:42:57 UTC
amd64 stable.

Maintainer(s), please cleanup.
Comment 4 Larry the Git Cow gentoo-dev 2019-11-04 11:51:55 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2920d838eeae8c990ab9cfca0a24806f8e4c0a98

commit 2920d838eeae8c990ab9cfca0a24806f8e4c0a98
Author:     Tomas Mozes <hydrapolic@gmail.com>
AuthorDate: 2019-11-04 08:48:55 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2019-11-04 11:50:24 +0000

    app-emulation/xen: drop vulnerable version
    
    Closes: https://github.com/gentoo/gentoo/pull/13543
    Bug: https://bugs.gentoo.org/699048
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 app-emulation/xen/Manifest          |   1 -
 app-emulation/xen/xen-4.11.2.ebuild | 171 ------------------------------------
 2 files changed, 172 deletions(-)
Comment 5 Tomáš Mózes 2019-11-04 13:18:36 UTC
Tree clean
Comment 6 Thomas Deutschmann gentoo-dev Security 2020-03-25 20:39:45 UTC
Added to an existing GLSA.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2020-03-25 20:47:59 UTC
This issue was resolved and addressed in
 GLSA 202003-56 at https://security.gentoo.org/glsa/202003-56
by GLSA coordinator Thomas Deutschmann (whissi).